Bug 1096220 - python-behave package should depend on python-importlib
Summary: python-behave package should depend on python-importlib
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-behave
Version: el6
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 13:26 UTC by Janne Blomqvist
Modified: 2018-04-11 17:39 UTC (History)
4 users (show)

Fixed In Version: python-behave-1.2.3-13.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-24 23:27:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Janne Blomqvist 2014-05-09 13:26:07 UTC
Description of problem:

rpm package should depend on python-importlib

Version-Release number of selected component (if applicable):

python-behave-1.2.3-11.el6

How reproducible:

Always.

Steps to Reproduce:

If python-importlib package not installed:

$ behave -h

Actual results:

Traceback (most recent call last):
  File "/usr/bin/behave", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2655, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 648, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 546, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: importlib

Expected results:

behave help text printed to screen.

Additional info:

After "yum install python-importlib" it works as expected.

Comment 1 Matěj Cepl 2014-05-09 18:30:57 UTC
Built as http://koji.fedoraproject.org/koji/taskinfo?taskID=6832292, please, test.

Comment 2 Janne Blomqvist 2014-05-12 11:30:34 UTC
Thanks, this seems to fix it.

Comment 3 Fedora Update System 2014-05-15 10:38:13 UTC
python-behave-1.2.3-13.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-13.fc20

Comment 4 Fedora Update System 2014-05-15 10:39:00 UTC
python-behave-1.2.3-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-13.fc19

Comment 5 Fedora Update System 2014-05-15 10:39:35 UTC
python-behave-1.2.3-13.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-behave-1.2.3-13.el6

Comment 6 Fedora Update System 2014-05-16 03:04:51 UTC
Package python-behave-1.2.3-13.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-behave-1.2.3-13.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1433/python-behave-1.2.3-13.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-05-24 23:27:39 UTC
python-behave-1.2.3-13.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-05-24 23:30:34 UTC
python-behave-1.2.3-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-06-17 16:56:26 UTC
python-behave-1.2.3-13.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.